import Main from '@/components/ui/Main'
import { sessionOptions } from '@/libs/session'
import type { SessionData } from '@/types/Auth'
import { getIronSession } from 'iron-session'
import { cookies } from 'next/headers'

export default async function Home() {
  const cookieStore = await cookies()
  const session = await getIronSession<SessionData>(cookieStore, sessionOptions)
  console.log('🚀 ~ Home ~ session:', session)

  return (
    <>
      <div className="container">
        <Main />
      </div>
    </>
  )
}
